	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
	$key=mysqli_real_escape_string($connect, $_POST['key']);
	$name_category=mysqli_real_escape_string($connect, $_POST['name_category']);

	$getusers = mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	      = mysqli_fetch_array($getusers);
	$jumlah   = mysqli_num_rows($getusers);
	
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);


	if ($jumlah > 0){
	
	mysqli_query($connect,"INSERT INTO category(name_category,
                                  user) 
                    VALUES('$name_category',
						   '$m[phone_number]')");
  



	$datacategory = mysqli_query($connect,"SELECT id_category FROM category WHERE user='$m[phone_number]' ORDER BY id_category DESC LIMIT 1");
	$p=mysqli_fetch_array($datacategory);

	$query = "SELECT * FROM category WHERE user='$m[phone_number]' AND id_category='$p[id_category]'";
	$hasil = mysqli_query($connect,$query);

	$response = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Success'
	);
  $response["data"] = array();
  while($x = mysqli_fetch_array($hasil)){
    $h['id_category'] 		= $x["id_category"];
    $h['name_category'] 	= $x["name_category"];
    array_push($response["data"], $h);
  }
  echo json_encode($response);

	}else{
	
	
	$json = array(
    'status' 	=> 'true',
    'errCode' 	=> '00',
	'msg' 		=> 'User Not Found'
	);

    echo json_encode($json);	
	}
	?>